summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-07-14 13:46:10 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-07-14 13:46:10 +0200
commit82d39affe7c0394f58b7dbda11a4df2d233e86d1 (patch)
tree0c87d649221962703f877bfcae356c45a4d72b6c /kde-frameworks/kfilemetadata
parentkde-apps/kde-dev-utils: Fix build with KF-5.48 (diff)
downloadgentoo-82d39affe7c0394f58b7dbda11a4df2d233e86d1.tar.gz
gentoo-82d39affe7c0394f58b7dbda11a4df2d233e86d1.tar.bz2
gentoo-82d39affe7c0394f58b7dbda11a4df2d233e86d1.zip
kde-frameworks: Add KDE Frameworks 5.48
Package-Manager: Portage-2.3.41, Repoman-2.3.9
Diffstat (limited to 'kde-frameworks/kfilemetadata')
-rw-r--r--kde-frameworks/kfilemetadata/Manifest1
-rw-r--r--kde-frameworks/kfilemetadata/kfilemetadata-5.48.0.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/kde-frameworks/kfilemetadata/Manifest b/kde-frameworks/kfilemetadata/Manifest
index 5656a540ff0..e4faae0c0ce 100644
--- a/kde-frameworks/kfilemetadata/Manifest
+++ b/kde-frameworks/kfilemetadata/Manifest
@@ -1,2 +1,3 @@
DIST kfilemetadata-5.46.0.tar.xz 254912 BLAKE2B 4750573a9ee26f3adfbd35ead14c0e1ba892cacab47fcd5691eff5e817cb2367710aa4f6fe813d2828568b3d483f0995891ccc9e40c045dc831226887b9d5ff7 SHA512 c95bf901218ddd8eead9c5581d468884720e4c32a4e5320b24dd0fac4c898c477475a578ebe803e17213df3f0a4f07ed6501a653584547f86a441de793ef6a4e
DIST kfilemetadata-5.47.0.tar.xz 254044 BLAKE2B 00a1df635ee263a3791d4050c44788ca866610687091738f1bb6a1293296e264840c29d76d00bc62990f5c383589c8bc05009f6f99dfb04028879804097edae5 SHA512 2ff4b7321c5ecbf64283ea2cf5674c282400a2a544e40653212384d6ae5339f5dfa0cacc5104054a84caed815610fdf1c9d5f3af333f1eaffff18ec90a157e23
+DIST kfilemetadata-5.48.0.tar.xz 258080 BLAKE2B f3cedbae3fbd0aef3ed7ce379db29e4162f193f855531a0e963d60702d24a41b36084b009894b85260b3db84b099e397c3a93e6c825269c22e0920167beb7daf SHA512 a3738e1184ddf34582aaa0ebcc75dd881bf4fc8e68253ccd597b70db71a093a9ccee6c726f034324521556471a3ae7f73dd4b1c8384922c95272d9c28c5cc8d0
diff --git a/kde-frameworks/kfilemetadata/kfilemetadata-5.48.0.ebuild b/kde-frameworks/kfilemetadata/kfilemetadata-5.48.0.ebuild
new file mode 100644
index 00000000000..7c7424e30a5
--- /dev/null
+++ b/kde-frameworks/kfilemetadata/kfilemetadata-5.48.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+inherit eutils kde5 python-any-r1
+
+DESCRIPTION="Library for extracting file metadata"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="epub exif ffmpeg kernel_linux libav office pdf taglib"
+
+RDEPEND="
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtxml)
+ epub? ( app-text/ebook-tools )
+ exif? ( media-gfx/exiv2:= )
+ ffmpeg? (
+ libav? ( media-video/libav:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ office? ( $(add_frameworks_dep karchive) )
+ pdf? ( app-text/poppler[qt5] )
+ taglib? ( media-libs/taglib )
+"
+DEPEND="${RDEPEND}
+ kernel_linux? ( sys-apps/attr )
+ test? ( ${PYTHON_DEPS} )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+ kde5_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package epub EPub)
+ $(cmake-utils_use_find_package exif Exiv2)
+ $(cmake-utils_use_find_package ffmpeg FFmpeg)
+ $(cmake-utils_use_find_package office KF5Archive)
+ $(cmake-utils_use_find_package pdf Poppler)
+ $(cmake-utils_use_find_package taglib Taglib)
+ )
+
+ kde5_src_configure
+}
+
+src_test() {
+ # FIXME: bug 644650, fails on tmpfs (but not for everyone)
+ local myctestargs=( -E "(usermetadatawritertest)" )
+ kde5_src_test
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version app-text/catdoc || ! has_version dev-libs/libxls; then
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ optfeature "indexing of Microsoft Word or Powerpoint files" app-text/catdoc
+ optfeature "indexing of Microsoft Excel files" dev-libs/libxls
+ fi
+}